import axios from '../plugins/axios'
import { defineStore } from 'pinia'

export const useHeadlinesStore = defineStore('headlines', {
    state: () => ({
        items: [],
        brands: [],
        categories: [],
        fetching: true,
        total: 0
    }),
    actions: {
        async index(courseId) {
            this.items = [];
         const params = { courseId }

            this.fetching = true
            const { status, data } = await axios.get('/courseHeadline', { params })
            this.fetching = false
            return this.items = data

        },
        async delete(id) {
            const { status, data } = await axios.delete(`/courseHeadline/${id}`, id)
            return data
        },
        // async create(newCourse) {
        //     const { status, data } = await axios.post('/course', newCourse)
        //     return data
        // },
 

        async edit(id, body) {
            const { status, data } = await axios.put(`/courseHeadline/${id}`, body)
            return data
        },
async create(form){
    const {status, data} = await axios.post('/courseHeadline', form)
    return data
}


        // async store(form) {
        //     const result = await axios.post('/admin/products/add', form)

        //     if (result.status === 201)
        //         this.items.unshift(result.data)

        //     return result;
        // },
        // async update(id, form) {
        //     const result = await axios.put(`/admin/products/${id}`, form)

        //     if (result.status === 200) {
        //         const index = this.items.findIndex(({ _id }) => _id == id)
        //         this.items[index] = result.data
        //     }

        //     return result;
        // },
        // async confirm(id, form) {
        //     const result = await axios.post(`/admin/products/confirm/${id}`, form)

        //     if (result.status === 200) {
        //         const index = this.items.findIndex(({ _id }) => _id == id)
        //         this.items[index] = result.data
        //     }

        //     return result;
        // },
        // async remove(id) {
        //     const result = await axios.delete(`/admin/products/${id}`)

        //     if (result.status === 200) {
        //         const index = this.items.findIndex(({ _id }) => _id == id)
        //         this.items.splice(index, 1)
        //     }

        //     return result;
        // },

    }
})